Customers
The customers resource.
Basehttps://rest.carbon.ms/customers
GET
/customersList customerss
Retrieve a paginated list of customerss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/customers
curl --request GET \
--url 'https://rest.carbon.ms/customers?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"customerTypeId": "xyz789",
"customerStatusId": "xyz789",
"taxId": "xyz789",
"accountManagerId": "xyz789",
"logo": "string",
"assignee": "string"
}
]GET
/customersRetrieve a customers
Fetch a single customers by filtering on `id`.
Query parameters
idstringMatch on the customers's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/customers
curl --request GET \
--url 'https://rest.carbon.ms/customers?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"customerTypeId": "xyz789",
"customerStatusId": "xyz789",
"taxId": "xyz789",
"accountManagerId": "xyz789",
"logo": "string",
"assignee": "string"
}